#
# spec file for package pavucontrol-qt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pavucontrol-qt
Version:        0.1.0
Release:        3.3
Summary:        Qt port of pavucontrol
License:        GPL-2.0
Group:          System/GUI/LXQt
Url:            https://github.com/lxde/pavucontrol-qt
Source0:        https://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:        https://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpulse) >= 5.0
BuildRequires:  pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  xdg-user-dirs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PulseAudio Volume Control (pavucontrol) is a simple volume control tool
("mixer") for the PulseAudio sound server. In contrast to classic mixer
tools this one allows you to control both the volume of hardware devices
and of each playback stream separately.

%prep
%setup -q
sed -i '/Name=/s/$/ Qt/' src/%{name}.desktop.in

%build
%cmake \
      -DPULL_TRANSLATIONS=OFF
make %{?_smp_mflags}

%install
%cmake_install

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Sep 24 2016 mvetter@suse.com
- Creating initial package 0.1.0
